#ifndef __BOARD_H__
#define __BOARD_H__

/* Utility functions. */

void udelay(unsigned long usec);
unsigned long get_memory_size(void);

#define TIMER_HZ		CONFIG_SYS_HZ
#define TIMER_CHAN		0
#define TIMER_FDATA		0xffff				/* timer full data value, limited to 16 bits */

#ifdef CONFIG_CPU_JZ4730
#include "jz4730.h"
#define READ_TIMER		__ost_get_count(TIMER_CHAN)	/* macro to read the 32 bit timer */
#define TIMER_CHAN_IRQ		IRQ_OST0
#else
#include "jz4740.h"
#define READ_TIMER		REG_TCU_TCNT(TIMER_CHAN)	/* macro to read the 16 bit timer */
#define TIMER_CHAN_IRQ		IRQ_TCU0
#endif

#endif /* __BOARD_H__ */
